pcl::PointUV Struct Reference
Module common

A 2D point structure representing pixel image coordinates. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

float | u
float | v

## Friends

std::ostream & | operator<< (std::ostream &os, const PointUV &p)

## Detailed Description

A 2D point structure representing pixel image coordinates.

Note
  We use float to be able to represent subpixels.

Definition at line 719 of file point_types.hpp.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointUV & | p
| ) |  |

friend

## Member Data Documentation

float pcl::PointUV::u

Definition at line 721 of file point_types.hpp.

Referenced by pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >::setPointsToTrack(), and pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >::track().

float pcl::PointUV::v

Definition at line 722 of file point_types.hpp.

Referenced by pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >::setPointsToTrack(), and pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >::track().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp